<?php
/**
 * @version     1.0.1
 * @package     com_seopanel
 * @copyright   Copyright (C) 2011. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @author      Created by Jennifer Grotheer - http://www.seo-panel.de
 */


// no direct access
defined('_JEXEC') or die;

// Access check.
if (!JFactory::getUser()->authorise('core.manage', 'com_seopanel')) {
	return JError::raiseWarning(404, JText::_('JERROR_ALERTNOAUTHOR'));
}


$document = JFactory::getDocument();

//-- Add css
$document->addStyleSheet('components/com_seopanel/assets/css/seopanel.css');

// -- Add javascript
 $document->addScript('components/com_seopanel/assets/js/jquery.js');
 $document->addScript('components/com_seopanel/assets/js/scriptdoload.js'); 
 $document->addScript('components/com_seopanel/assets/js/charts.js');

// Include dependancies
jimport('joomla.application.component.controller');

$controller	= JController::getInstance('Seopanel');
$controller->execute(JRequest::getCmd('task'));
$controller->redirect();
