<?php
/**
 * @version     1.0.1
 * @package     com_seopanel
 * @copyright   Copyright (C) 2011. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @author      Created by Jennifer Grotheer - http://www.seo-panel.de
 */


// no direct access
defined('_JEXEC') or die;

if (!$_GET['task']) {
?>
<form action="<?php echo JRoute::_('index.php?option=com_seopanel&view=keydetail'); ?>" method="post" name="adminForm" id="adminForm">

	<fieldset id="filter-bar">
		<div class="filter-search fltlft">
			<label class="filter-search-lbl" for="filter_search"><?php echo JText::_('JSEARCH_FILTER_LABEL'); ?></label>
			<input type="text" name="filter_search" id="filter_search" value="<?php echo $this->escape($this->state->get('filter.search')); ?>" title="<?php echo JText::_('Search'); ?>" />
      <button type="button" onclick="scriptDoLoadPost('index.php?option=com_seopanel&view=keydetail&task=load&tmpl=component', 'view_content','adminForm');"><?php echo JText::_('JSEARCH_FILTER_SUBMIT'); ?></button>
			<button type="button" onclick="document.id('filter_search').value='';scriptDoLoadPost('index.php?option=com_seopanel&view=keydetail&task=load&tmpl=component', 'view_content','adminForm');"><?php echo JText::_('JSEARCH_FILTER_CLEAR'); ?></button>
    </div>
		<div class="filter-select fltrt">
			 <select size="1"  class="inputbox" name="filter_searchdate" onchange="scriptDoLoadPost('index.php?option=com_seopanel&view=keydetail&task=load&tmpl=component', 'view_content','adminForm');">
			 <option value=""><?php echo  JText::_('COM_SEOPANEL_DATUM_SELECT');?></option>
        <?php echo JHtml::_('select.options', seopanelHelper::getDateSelect(60), 'value', 'date',$this->state->get('filter.searchdate_time') );?></select>
			 <select size="1"  class="inputbox" name="filter_website" onchange="scriptDoLoadMini('index.php?option=com_seopanel&view=keydetail&format=select&id='+(this.value),'select_key');">
			 <option value=""><?php echo  JText::_('COM_SEOPANEL_WEBSITE_SELECT_ALL');?></option>
        <?php echo JHtml::_('select.options', seopanelHelper::getWebSite(), 'value', 'website',$this->state->get('filter.website_id') );?></select>
    <div id="select_key" class="filter-select fltlft" style="width:150px;">
			 <select  size="1" style="width:142px;" class="inputbox" name="filter_keyword" onchange="scriptDoLoadPost('index.php?option=com_seopanel&view=keydetail&task=load&tmpl=component', 'view_content','adminForm');">
			 <option value=""><?php echo  JText::_('COM_SEOPANEL_KEYWORD_SELECT_ALL');?></option>
        <?php echo JHtml::_('select.options', seopanelHelper::getKewords($this->state->get('filter.website_id')), 'value', 'name',$this->state->get('filter.keyword_id') );?></select>
    </div>
    	 <select size="1"  class="inputbox" name="filter_searchengine" onchange="scriptDoLoadPost('index.php?option=com_seopanel&view=keydetail&task=load&tmpl=component', 'view_content','adminForm');">
       <?php echo JHtml::_('select.options', seopanelHelper::getSearchEngines(), 'value', 'domain',$this->state->get('filter.searchengine_id') );?></select>
		</div>
	</fieldset>

	<?}?>
  
<div class="clr"> </div>
<div id="view_content">	
	<table class="adminlist">
		<thead>
			<tr>
				<th width="300" class='left'>
				<?php echo JText::_('COM_SEOPANEL_KEYRANKING_KEWORD'); ?>
				</th>
				<th class='left' >
				<?php echo JText::_('COM_SEOPANEL_KEYRANKING_SEARCHRESULT'); ?>
				</th>
				<th class='center'>
				<?php echo JText::_('COM_SEOPANEL_KEYRANKING_RANK');?>
				</th>
				<th class='center'>
				<?php echo JText::_('COM_SEOPANEL_KEYRANKING_LAST_TEN_RANK');?>
				</th>	
			</tr>
		</thead>
		<tbody>
		<?php foreach ($this->items as $i => $item) :
					if (!isset($item->country_name)) :
					$item->country_name = JText::_('JALL_LANGUAGE'); 
				  endif;		
					if (!isset($item->lang_name)) : 
					$item->lang_name = JText::_('JALL_LANGUAGE'); 
				  endif;
			?>
			<tr class="row<?php echo $i % 2; ?>">
				<td>
					<a href="<?php echo JRoute::_('index.php?option=com_seopanel&view=keydetail&filter_keyword='.(int) $item->id.'&filter_website='.(int) $item->website_id); ?>">
					<?php echo $item->name;?></a><p class="smallsub"><? echo JText::_( 'COM_SEOPANEL_KEYRANKING_SPACHE' ).': '.$item->lang_name;?>
          &nbsp;-&nbsp;<? echo JText::_( 'COM_SEOPANEL_KEYRANKING_LAND' ).': '.$item->country_name;?></p>
				</td>
				<td><div style="width:400px;">
					<a target="_blank" href="<?php echo $item->url; ?>">
						<?php echo $item->title; ?></a><p class="smallsub"><?php echo $item->description; ?><br /><span><?php echo $item->url; ?></span><p>
				</div>
        </td>
				<td class="center"><h1>
				<?php echo $item->rank;  ?>&nbsp;<?php print_r(seopanelHelper::getKewordRank($item->keyword_id,$item->searchengine_id,$item->time,$item->searchresult_id,$item->url, $item->rank));?></h1>
				</td>
				<td class="center" valign="top" style="width:220px;" >
	   
				<script>
        scriptDoLoad('index.php?option=com_seopanel&view=statgraph&graph=minigraph&kid=<?echo $item->keyword_id;?>&sid=<?echo $this->state->get("filter.searchengine_id")?>&time=<?echo $item->time;?>&limit=30&Surl=<?echo $item->url;?>&SrID=<?echo $item->searchresult_id;?>&tmpl=component', 'graph<?=$i?>')
        </script>
				<div style="height:115px;" id="graph<?=$i?>"></div>
				</td>
			</tr>
			<?php endforeach; ?>
		</tbody>
	</table>
	<table class="adminlist">		
<thead>
			<tr>
				<td colspan="10">
					<?php echo $this->pagination->getListFooter(); ?>
				</td>
			</tr>
</thead>
		</table>
	<div>
		<input type="hidden" name="task" value="" />
		<?php echo JHtml::_('form.token'); ?>
	</div>
	<p class="copyright" >
		<?php echo SeopanelHelper::footer( ); ?>
	</p>
</div>  
</form>