<?php
/**
 * @version     1.0.1
 * @package     com_seopanel
 * @copyright   Copyright (C) 2011. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @author      Created by Jennifer Grotheer - http://www.seo-panel.de
 */


// no direct access
defined('_JEXEC') or die;
JHTML::_('script','system/multiselect.js',false,true);
if (!$_GET['task']) {
?>
<form action="<?php echo JRoute::_('index.php?option=com_seopanel&view=pagerank'); ?>" method="post" name="adminForm" id="adminForm">

	<fieldset id="filter-bar">
		<div class="filter-select fltrt">
  		 <select size="1"  class="inputbox" name="filter_searchdate" onchange="scriptDoLoadPost('index.php?option=com_seopanel&view=pagerank&task=load&tmpl=component', 'view_content','adminForm');">
			 <option value="<?php echo time();?>"><?php echo  JText::_('COM_SEOPANEL_DATUM_SELECT');?></option>
        <?php echo JHtml::_('select.options', seopanelHelper::getDateSelect(60), 'value', 'date',$this->state->get('filter.searchdate_time') );?></select>
			 <select size="1"  class="inputbox" name="filter_website"  onchange="scriptDoLoadPost('index.php?option=com_seopanel&view=pagerank&task=load&list=true&tmpl=component', 'view_content','adminForm');">
       <option value=""><?php echo  JText::_('COM_SEOPANEL_WEBSITE_SELECT_ALL');?></option>
        <?php echo JHtml::_('select.options', seopanelHelper::getWebSite(), 'value', 'website',$this->state->get('filter.website_id') );?></select>
  	</div>
	</fieldset>
	<?}?>
	<div class="clr"> </div>
<div id="view_content">
	<table class="adminlist">
		<thead>
			<tr>
				<th class='left' width="400">
				<?php echo JText::_('COM_SEOPANEL_WEBSITES_DOMAIN'); ?>
				</th>
				<th class='center'>
				<?php echo JText::_('COM_SEOPANEL_GOOGLE_PAGERANK'); ?>
				</th>
				<th class='center'>
				<?php echo JText::_('COM_SEOPANEL_ALEXIA_PAGERANK'); ?>
				</th>
				<th class='center'>
				<?php echo JText::_('COM_SEOPANEL_ALEXIA_PAGERANK_STAT'); ?>
				</th>
  		</tr>
		</thead>
		<tfoot>
			<tr>
				<td colspan="10">
					<?php echo $this->pagination->getListFooter(); ?>
				</td>
			</tr>
		</tfoot>
		<tbody>
		<?php foreach ($this->items as $i => $item) :
			?>
			<tr class="row<?php echo $i % 2; ?>">
				<td>
					<a href="<?php echo JRoute::_('index.php?option=com_seopanel&view=pagerank&filter_website='.(int) $item->id); ?>">
					<?php echo $this->escape($item->domain); ?></a>
				</td>
				<td class='center'>
				<?echo SeopanelHelper::printGooglePageRank(SeopanelHelper::getPagerank($item->id,$this->state->get('filter.searchdate_time'),'google_pagerank',1));?>
				</td>
				<td class='center'>
				<img src="components/com_seopanel/assets/images/alexa-rank.php?r=<?echo SeopanelHelper::getPagerank($item->id,$this->state->get('filter.searchdate_time'),'alexa_rank',1);?>">
				</td>
				<td class='center'>
				<script>
        scriptDoLoad('index.php?option=com_seopanel&view=statgraph&graph=rankgraph&sid=<?echo $item->id;?>&time=<?echo $this->state->get("filter.searchdate_time")?>&limit=30&tmpl=component', 'graph<?=$i?>')
        </script>
				<div style="height:135px;" id="graph<?=$i?>"></div>
				</td>
			</tr>
			<?php endforeach; ?>
		</tbody>
	</table>
	<div>
		<input type="hidden" name="task" value="" />
		<?php echo JHtml::_('form.token'); ?>
	</div>
	<p class="copyright">
		<?php echo SeopanelHelper::footer( ); ?>
	</p>
  </div>
  </form>