<?php
/**
 * @version     1.0.1
 * @package     com_seopanel
 * @copyright   Copyright (C) 2011. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @author      Created by Jennifer Grotheer - http://www.seo-panel.de
 */


// no direct access
defined('_JEXEC') or die;

JHtml::_('behavior.tooltip');
JHTML::_('script','system/multiselect.js',false,true);
$user	= JFactory::getUser();
$userId	= $user->get('id');
$listOrder	= $this->state->get('list.ordering');
$listDirn	= $this->state->get('list.direction');
$canOrder	= $user->authorise('core.edit.state', 'com_seopanel');
$saveOrder	= $listOrder == 'a.ordering';
	
	if (!$_GET['task']) {
?>
<form action="<?php echo JRoute::_('index.php?option=com_seopanel&view=pagerank'); ?>" method="post" name="adminForm" id="adminForm">

	<fieldset id="filter-bar">
	
		<div class="filter-select fltrt">
		<?php// echo JHTML::_('calendar', $date, "dates", "dates",$format = '%d.%m.%Y',array("onchange"=>"this.form.submit()")); this.form.submit();?>

			 <select size="1"  class="inputbox" name="filter_searchdate" onchange="scriptDoLoadPost('index.php?option=com_seopanel&view=pagerank&task=load&tmpl=component', 'view_content','adminForm');">
			 <option value="<?php echo time();?>"><?php echo  JText::_('COM_SEOPANEL_DATUM_SELECT');?></option>
        <?php echo JHtml::_('select.options', seopanelHelper::getDateSelect(60), 'value', 'date',$this->state->get('filter.searchdate_time') );?></select>


			 <select size="1"  class="inputbox" name="filter_website"  onchange="scriptDoLoadPost('index.php?option=com_seopanel&view=pagerank&task=load&list=true&tmpl=component', 'view_content','adminForm');">

        
               
       <option value=""><?php echo  JText::_('COM_SEOPANEL_WEBSITE_SELECT');?></option>
        <?php echo JHtml::_('select.options', seopanelHelper::getWebSite(), 'value', 'website',$this->state->get('filter.website_id') );?></select>


		</div>
	</fieldset>

	<?}?>
	<div class="clr"> </div>
<div id="view_content">
  <table class="adminlist">
		<thead>
			<tr>
				<th width="1%">
					<input type="checkbox" name="checkall-toggle" value="" onclick="checkAll(this)" />
				</th>

				<th class='left'>
				<?php echo JText::_('COM_SEOPANEL_WEBSITES_DOMAIN'); ?>
				</th>
				<th class='left' width="10%">
				Google Pagerank
				</th>
				<th class='left' width="10%">
				Alexia Pagerank
				</th>


  		</tr>
		</thead>
		<tfoot>
			<tr>
				<td colspan="10">
					<?php echo $this->pagination->getListFooter(); ?>
				</td>
			</tr>
		</tfoot>
		<tbody>
		<?php foreach ($this->items as $i => $item) :
			$ordering	= ($listOrder == 'a.ordering');
			$canCreate	= $user->authorise('core.create',		'com_seopanel');
			$canEdit	= $user->authorise('core.edit',			'com_seopanel');
			$canCheckin	= $user->authorise('core.manage',		'com_seopanel');
			$canChange	= $user->authorise('core.edit.state',	'com_seopanel');
			?>
			<tr class="row<?php echo $i % 2; ?>">
				<td class="center">
					<?php echo JHtml::_('grid.id', $i, $item->id); ?>
				</td>

				<td>
				<?php if (isset($item->checked_out) && $item->checked_out) : ?>
					<?php echo JHtml::_('jgrid.checkedout', $i, $item->editor, $item->checked_out_time, 'websites.', $canCheckin); ?>
				<?php endif; ?>
				<?php if ($canEdit) : ?>
					<a href="<?php echo JRoute::_('index.php?option=com_seopanel&task=website.edit&id='.(int) $item->id); ?>">
					<?php echo date("d.m.Y", $this->escape($item->result_time)); ?></a>
				<?php else : ?>
					<?php echo date("d.m.Y",$this->escape($item->result_time)); ?>
				<?php endif; ?>
				</td>

				<td class='left'>
				<?echo SeopanelHelper::getPagerank($item->website_id,$item->result_time,'google_pagerank');?>
				</td>
				<td class='left'>
				<?echo SeopanelHelper::getPagerank($item->website_id,$item->result_time,'alexa_rank');?>
				</td>



			</tr>
			<?php endforeach; ?>
		</tbody>
	</table>

	<div>
		<input type="hidden" name="task" value="" />
		<input type="hidden" name="boxchecked" value="0" />
		<input type="hidden" name="filter_order" value="<?php echo $listOrder; ?>" />
		<input type="hidden" name="filter_order_Dir" value="<?php echo $listDirn; ?>" />
		<?php echo JHtml::_('form.token'); ?>
	</div>

	<p class="copyright">
		<?php echo SeopanelHelper::footer( ); ?>
	</p>
  </div>
  </form>