<?php
/**
 * @version     1.0.1
 * @package     com_seopanel
 * @copyright   Copyright (C) 2011. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @author      Created by Jennifer Grotheer - http://www.seo-panel.de
 */
 
defined('_JEXEC') or die;
 
	//Initialize <graph> element
	$strXML = "<graph numdivlines='4' lineThickness='2' showValues='0' numVDivLines='10' formatNumberScale='1' rotateNames='1' decimalPrecision='0' anchorRadius='2' anchorBgAlpha='0' numberPrefix='Rank ' divLineAlpha='30' showAlternateHGridColor='1' yAxisMinValue='1'   shadowAlpha='-50' animation='0' >";


	$strXML = "<graph numdivlines='4' lineThickness='2' showValues='0' numVDivLines='0' formatNumberScale='1' rotateNames='1' showNames='0' seriesName='0' decimalPrecision='0' anchorRadius='1' anchorBgAlpha='100' numberPrefix='' divLineAlpha='30' showAlternateHGridColor='1' yAxisMinValue='1'   shadowAlpha='-50' animation='0' bgAlpha='0'>";


	//Initialize <categories> element - necessary to generate a multi-series chart
	$strCategories = "<categories>";
	
	//Initiate <dataset> elements
	$strDataCurr = "<dataset color='0C6091' anchorBorderColor='0B07A4' anchorRadius='1'>";
	$strDataPrev = "<dataset color='0B07A4' anchorBorderColor='F6BD0F' anchorRadius='1'>";

	//Iterate through the data  

if (count($this->ranksdata) >= 1) {

	foreach ($this->ranksdata as $arSubData) {
        //Append <category name='...' /> to strCategories
        $strCategories .= "<category name='" . date('d.m', $arSubData[0]) . "' />";
        //Add <set value='...' /> to both the datasets
        $strDataCurr .= "<set value='" . $arSubData[1] . "' />";
        $strDataPrev .= "<set value='" . $arSubData[2] . "' />";
	}
}	
	//Close <categories> element
	$strCategories .= "</categories>";
	
	//Close <dataset> elements
	$strDataCurr .= "</dataset>";
	$strDataPrev .= "</dataset>";
	//Assemble the entire XML now
	$strXML .= $strCategories . $strDataCurr . $strDataPrev  . "</graph>";
	
	$div = (rand(10,100000));
	
	//Create the chart 
	echo renderChart("components/com_seopanel/assets/charts/FCF_MSLine.swf", "", $strXML, $div, 300, 140);
	//echo renderChart("components/com_seopanel/assets/charts/FCF_MSLine.swf", "", $strXML, $div, 250,150);

?>