<?php
/**
 * @version     1.0.1
 * @package     com_seopanel
 * @copyright   Copyright (C) 2011. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @author      Created by Jennifer Grotheer - http://www.seo-panel.de
 */
// No direct access
defined('_JEXEC') or die;

jimport('joomla.application.component.view');

/**
 * View class for a list of Seopanel.
 */
class SeopanelViewStatGraph extends JView
{

	/**
	 * Display the view
	 */
	public function display($tpl = null)
	{
	
		$tpl      = $this->get( 'Template');


 		// Get data from the model

    if ($tpl == 'minigraph') {

		$ranksdata      = $this->get( 'KeyRanksdataMini');
		$this->assignRef('ranksdata', $ranksdata);     
    
    }  else if ($tpl == 'rankgraph'){
		$ranksdata      = $this->get( 'SiteRanksdata');
		$this->assignRef('ranksdata', $ranksdata);    
    
    }else {
		$ranksdata      = $this->get( 'KeyRanksdata');
		$this->assignRef('ranksdata', $ranksdata);    
    
    }

		// Check for errors.
		if (count($errors = $this->get('Errors'))) {
			JError::raiseError(500, implode("\n", $errors));
			return false;
		}		
		
		
    parent::display($tpl);
	}

	/**
	 * Add the page title and toolbar.
	 *
	 * @since	1.6
	 */
	protected function addToolbar()
	{		


	}
	
}
