<?php
/**
 * @version     1.0.1
 * @package     com_seopanel
 * @copyright   Copyright (C) 2011. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @author      Created by Jennifer Grotheer - http://www.seo-panel.de
 */

defined('_JEXEC') or die;

jimport('joomla.application.component.model');

/**
 * Methods supporting a list of Seopanel records.
 */
class SeopanelModelStatGraph extends JModel
{
	/**
	 * Ranks data in array
	 *
	 * @var array
	 */
	var $_ranking = null;

	/**
	 * Constructor
	 *
	 * @since 0.9
	 */
	function __construct()
	{
		parent::__construct();
		

	}

	/**
	 * Method to get Ranks item data
	 *
	 * @access public
	 * @return array
	 */


function getTemplate() {

		  $tpl =  JRequest::setVar('graph');
		  return $tpl;
}
	 
	function getKeyRanksdata($limit='30')
	{

        $keyID    = 	JRequest::setVar('kid');
        $SearchID = 	JRequest::setVar('sid');  
        $time     = 	JRequest::setVar('time');
        $limit    = 	JRequest::setVar('limit');        


    if($time) $wheretime = "AND time <= ".$time;
    
  
		/*
		* Get Ranks Google
		*/
		$query = "SELECT time, min( rank ) AS rank" . //FROM_UNIXTIME(time,'%d.%m') AS date ,
      " FROM #__seopanel_searchresults WHERE keyword_id =".$keyID.
      " AND searchengine_id =1 ".$wheretime." GROUP BY time ORDER BY time DESC" .
      " LIMIT 0 , ".$limit
					;
  		$this->_db->SetQuery($query);
  		$arr[] = $this->_db->loadRowList();

    
		/*
		* Get Ranks Yahoo
		*/
		$query = "SELECT time, min( rank ) AS rank" . 
      " FROM #__seopanel_searchresults WHERE keyword_id =".$keyID.
      " AND searchengine_id =2 ".$wheretime." GROUP BY time ORDER BY time DESC" .
      " LIMIT 0 , ".$limit
					;
  		$this->_db->SetQuery($query);
 		 $arr[] = $this->_db->loadRowList();
  		
		/*
		* Get Ranks Bing
		*/
		$query = "SELECT time, min( rank ) AS rank" . 
      " FROM #__seopanel_searchresults WHERE keyword_id =".$keyID.
      " AND searchengine_id =3 ".$wheretime." GROUP BY time ORDER BY time DESC" .
      " LIMIT 0 , ".$limit
					;
   		$this->_db->SetQuery($query);
  		$arr[] = $this->_db->loadRowList();

		/*
		* Create array for Graph
		*/

        for ($se = 0; $se < count($arr[0]); $se++ ) {
        
        $_ranking[$se][] = $arr[0][$se][0];
        $_ranking[$se][] = $arr[0][$se][1];
        $_ranking[$se][] = $arr[1][$se][1];
        $_ranking[$se][] = $arr[2][$se][1];
        
        }




		return $_ranking;
	}


	function getKeyRanksdataMini($limit='30')
	{

        $keyID    = 	JRequest::setVar('kid');
        $SearchID = 	JRequest::setVar('sid');  
        $time     = 	JRequest::setVar('time');
        $limit    = 	JRequest::setVar('limit');        
        $SUrl     = 	JRequest::setVar('Surl');
        $SrID     = 	JRequest::setVar('SrID');

        $limit='10';
        
        $query = "SELECT srs.time AS time, min(srs.rank)" .
              " FROM #__seopanel_searchresultdetails AS ssd, #__seopanel_searchresults AS srs" .
              " WHERE ssd.searchresult_id <" .$SrID. " AND srs.searchengine_id =".$SearchID .
              " AND url LIKE '".$SUrl."' AND ssd.searchresult_id = srs.id AND srs.keyword_id =".$keyID .
              " AND time <= ".$time." Group by time ORDER by time DESC LIMIT 0 , ".$limit;

      $this->_db->SetQuery($query);
  		$_ranking = $this->_db->loadRowList();

 		return $_ranking;   
  }
  
	function getSiteRanksdata($limit='30')
	{

        $SiteID    = 	JRequest::setVar('sid');
        $time     = 	JRequest::setVar('time');
        $limit    = 	JRequest::setVar('limit');        


      if($time) $wheretime = "AND result_time <= ".$time; else $wheretime = "AND result_time < ".time();
    
    
   
		/*
		* Get Site Ranks Google and Alexa
		*/
		$query = 'SELECT result_time, google_pagerank,	alexa_rank ' . 
      ' FROM #__seopanel_rankresults WHERE website_id ='.$SiteID.
      ' '.$wheretime.'  ORDER BY result_time DESC' 
      //' LIMIT 0 , '.$limit 
					;
  		$this->_db->SetQuery($query);
  		$_ranking = $this->_db->loadRowList();


		return $_ranking;
	}  
}
