<?php
/**
 * @version     1.0.1
 * @package     com_seopanel
 * @copyright   Copyright (C) 2011. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @author      Created by Jennifer Grotheer - http://www.seo-panel.de
 */


// no direct access
defined('_JEXEC') or die;

JHTML::_('script','system/multiselect.js',false,true);
$listOrder	= $this->state->get('list.ordering');
$listDirn	= $this->state->get('list.direction');
$date = mktime(0, 0, 0, date('m'), date('d'), date('Y'));
if (!$_GET['task']) {
?>
<form action="<?php echo JRoute::_('index.php?option=com_seopanel&view=keyranking'); ?>" method="post" name="adminForm" id="adminForm">
	<fieldset id="filter-bar">
		<div class="filter-search fltlft">
			<label class="filter-search-lbl" for="filter_search"><?php echo JText::_('JSEARCH_FILTER_LABEL'); ?></label>
			<input type="text" name="filter_search" id="filter_search" value="<?php echo $this->escape($this->state->get('filter.search')); ?>" title="<?php echo JText::_('Search'); ?>"
       />
      <button type="button" onclick="scriptDoLoadPost('index.php?option=com_seopanel&view=keyranking&task=load&tmpl=component', 'view_content','adminForm');"><?php echo JText::_('JSEARCH_FILTER_SUBMIT'); ?></button>
			<button type="button" onclick="document.id('filter_search').value='';scriptDoLoadPost('index.php?option=com_seopanel&view=keyranking&task=load&tmpl=component', 'view_content','adminForm');"><?php echo JText::_('JSEARCH_FILTER_CLEAR'); ?></button></b>
    </div>
  	<div class="filter-select fltrt">
			 <select size="1"  class="inputbox" name="filter_website" onchange="scriptDoLoadPost('index.php?option=com_seopanel&view=keyranking&task=load&tmpl=component', 'view_content','adminForm');">
			 <option value=""><?php echo  JText::_('COM_SEOPANEL_WEBSITE_SELECT_ALL');?></option>
        <?php echo JHtml::_('select.options', seopanelHelper::getWebSite(), 'value', 'website',$this->state->get('filter.website_id') );?></select>
		</div>
	</fieldset>
	<?}?>
	<div class="clr"> </div>
<div id="view_content">	
	<table class="adminlist">
		<thead>
			<tr>
				<th width="300" class='left'>
				<?php echo JHtml::_('grid.sort','COM_SEOPANEL_RANKING_KEWORD', 'a.name', $listDirn, $listOrder); ?>
				</th>
				<th class='left'>
				<?php echo JHtml::_('grid.sort','COM_SEOPANEL_RANKING_WEBSITE', 'a.website_id', $listDirn, $listOrder); ?>
				</th>
				<th class='left'>
				<?php echo JText::_('COM_SEOPANEL_KEYRANKING_GOOGLE');?>
				</th>
				<th class='left'>
				<?php echo JText::_('COM_SEOPANEL_KEYRANKING_YAHOO');?>
				</th>
				<th class='left'>
				<?php echo JText::_('COM_SEOPANEL_KEYRANKING_BING');?>
				</th>
			</tr>
		</thead>
		<tfoot>
			<tr>
				<td colspan="10">
					<?php echo $this->pagination->getListFooter(); ?>
				</td>
			</tr>
		</tfoot>
		<tbody>
		<?php foreach ($this->items as $i => $item) :
			?>
			<tr class="row<?php echo $i % 2; ?>">
				<td>
					<a href="<?php echo JRoute::_('index.php?option=com_seopanel&view=keydetail&filter_keyword='.(int) $item->id.'&filter_website='.(int) $item->website_id).'&filter_searchdate='.$date; ?>">
					<?php echo $this->escape($item->name); ?></a>
				</td>
				<td>
					<?php echo $item->domain; ?>
				</td>
				<td>
					<?php echo SeopanelHelper::getKewordRank($item->id,1,'','','','',1,$item->website_id); ?>
				</td>
				<td>
					<?php echo SeopanelHelper::getKewordRank($item->id,2,'','','','',1,$item->website_id); ?>
				</td>
				<td>
					<?php echo SeopanelHelper::getKewordRank($item->id,3,'','','','',1,$item->website_id); ?>
				</td>
			</tr>
			<?php endforeach; ?>
		</tbody>
	</table>
	<div>
		<input type="hidden" name="task" value="" />
		<input type="hidden" name="filter_order" value="<?php echo $listOrder; ?>" />
		<input type="hidden" name="filter_order_Dir" value="<?php echo $listDirn; ?>" />
		<?php echo JHtml::_('form.token'); ?>
	</div>
	<p class="copyright">
		<?php echo SeopanelHelper::footer( ); ?>
	</p>
</div>  
</form>