<?php
/**
 * @version     1.0.1
 * @package     com_seopanel
 * @copyright   Copyright (C) 2011. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @author      Created by Jennifer Grotheer - http://www.seo-panel.de
 */

defined('_JEXEC') or die;

	//Initialize <graph> element
	$strXML = "<graph numdivlines='4' lineThickness='3' showValues='0' numVDivLines='10' formatNumberScale='1' rotateNames='1' decimalPrecision='0' anchorRadius='2' anchorBgAlpha='0' numberPrefix='Rank ' divLineAlpha='30' showAlternateHGridColor='1' yAxisMinValue='1'   shadowAlpha='-50' animation='0' >";



	//Initialize <categories> element - necessary to generate a multi-series chart
	$strCategories = "<categories>";
	
	//Initiate <dataset> elements
	$strDataCurr = "<dataset seriesName=' www.google.com' color='A66EDD' anchorBorderColor='A66EDD' anchorRadius='4'>";
	$strDataPrev = "<dataset seriesName=' www.yahoo.com' color='F6BD0F' anchorBorderColor='F6BD0F' anchorRadius='4'>";
	$strDataPrevb = "<dataset seriesName=' www.bing.com' color='06BD0F' anchorBorderColor='F6BD0F' anchorRadius='4'>";	
	//Iterate through the data  

if (count($this->ranksdata) >= 1) {

	foreach ($this->ranksdata as $arSubData) {
        //Append <category name='...' /> to strCategories
        $strCategories .= "<category name='" . date('d.m', $arSubData[0]) . "' />";
        //Add <set value='...' /> to both the datasets
        $strDataCurr .= "<set value='" . $arSubData[1] . "' />";
        $strDataPrev .= "<set value='" . $arSubData[2] . "' />";
        $strDataPrevb .= "<set value='" . $arSubData[3] . "' />";
	}
}	
	//Close <categories> element
	$strCategories .= "</categories>";
	
	//Close <dataset> elements
	$strDataCurr .= "</dataset>";
	$strDataPrev .= "</dataset>";
	$strDataPrevb .= "</dataset>";	
	//Assemble the entire XML now
	$strXML .= $strCategories . $strDataCurr . $strDataPrev  . $strDataPrevb. "</graph>";
	
	$div = (rand(10,100000));
	
	//Create the chart 
	echo renderChart("components/com_seopanel/assets/charts/FCF_MSLine.swf", "", $strXML, $div, 500, 250);
		$div = (rand(10,100000));
 //echo renderChart("components/com_seopanel/assets/charts/FCF_MSLine.swf", "", $strXML, $div, 250,150);

?>