<?php
/**
 * @version     1.0.1
 * @package     com_seopanel
 * @copyright   Copyright (C) 2011. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @author      Created by Jennifer Grotheer - http://www.seo-panel.de
 */
 
defined('_JEXEC') or die;
 
//Initialize <graph> element
	$strXML = "<graph numdivlines='4' lineThickness='2' showValues='0' numVDivLines='0' formatNumberScale='0' rotateNames='1' showNames='1' seriesName='0' decimalPrecision='0' anchorRadius='1' anchorBgAlpha='100' numberPrefix='R' divLineAlpha='30' showAlternateHGridColor='1' yAxisMinValue='1'   shadowAlpha='-50' animation='0' bgAlpha='0'>";

	//Initialize <categories> element - necessary to generate a multi-series chart
	$strCategories = "<categories>";
	
	//Initiate <dataset> elements
	$strDataCurr = "<dataset color='0C6091' anchorBorderColor='0C6091' anchorRadius='2'>";
// 	$strDataPrev = "<dataset seriesName='' color='F6BD0F' A66EDD anchorBorderColor='F6BD0F' A66EDDanchorRadius='0'>";
// 	$strDataPrevb = "<dataset seriesName='' color='06BD0F' anchorBorderColor='F6BD0F' anchorRadius='0'>";	
	//Iterate through the data  

if (count($this->ranksdata) >= 1) {

	foreach ($this->ranksdata as $arSubData) {
        //Append <category name='...' /> to strCategories
        $strCategories .= "<category name='" . date('d.m', $arSubData[0]) . "' />";
        //Add <set value='...' /> to both the datasets
        $strDataCurr .= "<set value='" . $arSubData[1] . "' />";

	}
}	
	//Close <categories> element
	$strCategories .= "</categories>";

	//Close <dataset> elements
	$strDataCurr .= "</dataset>";
	
	//Assemble the entire XML now
	$strXML .= $strCategories . $strDataCurr . "</graph>";
	
	$div = (rand(10,100000));
	
	//Create the chart 

	echo renderChart("components/com_seopanel/assets/charts/FCF_MSLine.swf", "", $strXML, $div, 200, 140);

//	echo renderChart("components/com_seopanel/assets/charts/FCF_MSArea2D.swf", "", $strXML, $div, 250,150);

?>